de.esprit.netsuite.server.auth.error

## Class AbstractUserManagerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.esprit.common.gui.ZException
      - - de.esprit.netsuite.server.core.ServerException
        - - de.esprit.netsuite.server.auth.error.AbstractUserManagerException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CannotClearAdminPasswordException, CannotDeleteRootUserException, CannotLockYourselfException, CannotRemovePermissionOnYourselfException, EmptyPasswordNotAllowedException, GroupAlreadyExistsException, GroupHasStillUsersException, InvalidLoginException, InvalidPasswordException, InvalidUserException, MaxUserConnectionsExceededException, NoSuchGroupException, UserAlreadyExistsException, UserStillLoggedInException

      public class AbstractUserManagerException
      extends ServerException

  This is the base class for all `UserManager` exceptions
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUserManagerException(ErrorType errType, NlsKey nls, java.lang.Object... args)`
    `AbstractUserManagerException(NlsKey nls)`
    `AbstractUserManagerException(NlsKey nls, java.lang.Object... args)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.common.gui.ZException

      `getErrorType, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractUserManagerException

          public AbstractUserManagerException(ErrorType errType,
                                      NlsKey nls,
                                      java.lang.Object... args)

    - #### AbstractUserManagerException

          public AbstractUserManagerException(NlsKey nls,
                                      java.lang.Object... args)

    - #### AbstractUserManagerException

          public AbstractUserManagerException(NlsKey nls)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.